# Deep network: Layer::ActivationLayer< A > Class Template Reference

Layer::ActivationLayer< A > Class Template Reference

`#include <activation.hpp>`

Inheritance diagram for Layer::ActivationLayer< A >:
[legend]

## Public Member Functions

| ActivationLayer (const size_t)
| ~ActivationLayer ()
Vector | feed_forward (Vector x) override
void | init_nabla () override
Vector | back_propagation (Vector e) override
void | update (Real eta) override
Public Member Functions inherited from Layer::Layer
| Layer (size_t n, size_t m)
| ~Layer ()
size_t | get_input_size () const
size_t | get_output_size () const
Vector | get_output () const
virtual Vector | feed_forward (Vector x)=0
virtual void | init_nabla ()=0
virtual Vector | back_propagation (Vector e)=0
virtual void | update (Real eta)=0

## Additional Inherited Members

Public Attributes inherited from Layer::Layer
string | name
size_t | n
size_t | m
Vector | x
Vector | y
Vector | d

## Detailed Description

template<ActivationMap A>
class Layer::ActivationLayer< A >

Class for activation layer. The Output vector is obtained by applying activation map to each entry of the input vector.

## Constructor & Destructor Documentation

## ActivationLayer()

template<ActivationMap A>

Layer::ActivationLayer< A >::ActivationLayer | ( | const | size_t | ) |

inline

## ~ActivationLayer()

template<ActivationMap A>

Layer::ActivationLayer< A >::~ActivationLayer | ( |  | ) |

inline

## Member Function Documentation

## back_propagation()

template<ActivationMap A>

Vector Layer::ActivationLayer< A >::back_propagation | ( | Vector | e | ) |

inlineoverridevirtual

\(d[i]:=\alpha'(x[i])\times \e[i]\) where \(\alpha\) is the activation map and $e$ the difference output vector.

Implements Layer::Layer.

## feed_forward()

template<ActivationMap A>

Vector Layer::ActivationLayer< A >::feed_forward | ( | Vector | x | ) |

inlineoverridevirtual

\(y[i]:=\alpha(x[i])\) where \(\alpha\) is the activation map.

Implements Layer::Layer.

## init_nabla()

template<ActivationMap A>

void Layer::ActivationLayer< A >::init_nabla | ( |  | ) |

inlineoverridevirtual

Null.

Implements Layer::Layer.

## update()

template<ActivationMap A>

void Layer::ActivationLayer< A >::update | ( | Real | eta | ) |

inlineoverridevirtual

Null.

Implements Layer::Layer.

The documentation for this class was generated from the following file:

- src/layers/activation.hpp